Subject: Re: linux-next: Tree for December 9

From: Andrew Morton <[email-masked]>
Date: Tue, 9 Dec 2008 17:58:13 -0800

On Wed, 10 Dec 2008 12:42:58 +1100 (EST) "NeilBrown" <[email-masked]> wrote:

> On Wed, December 10, 2008 12:30 pm, Andrew Morton wrote:
> > On Wed, 10 Dec 2008 01:31:13 +0100 "Kay Sievers" <[email-masked]>
> > wrote:
> >
> >> > akpm2:/home/akpm# udevmonitor
> >> > udevmonitor prints the received event from the kernel [UEVENT]
> >> > and the event which udev sends out after rule processing [UDEV]
> >> >
> >> > UDEV  [1228867146.103334] add@/class/bdi/9:0
> >> > UDEV  [1228867146.107566] remove@/block/md0
> >> > UDEV  [1228867146.111969] remove@/class/bdi/9:0
> >> > UEVENT[1228867146.119889] add@/block/md0
> >> > UEVENT[1228867146.119964] add@/class/bdi/9:0
> >> > UEVENT[1228867146.120162] remove@/class/bdi/9:0
> >> > UEVENT[1228867146.120205] remove@/block/md0
> >> > UDEV  [1228867146.122839] add@/block/md0
> >> > UDEV  [1228867146.129125] add@/class/bdi/9:0
> >> > UDEV  [1228867146.133459] remove@/block/md0
> >> > UDEV  [1228867146.137813] remove@/class/bdi/9:0
> >> > UEVENT[1228867146.145652] add@/block/md0
> >>
> >> Weird loop, something is accessing /dev/md0, i guess, which creates
> >> the kernel device, and the event, which accesses /dev/md0 again and it
> >> goes crazy. Maybe caused by changes Neil did.
> >
> > I knew an Australian was to blame - it's just a matter of determining
> > which one.
> 
> Let's not count our chickens .... :-)
> 
> Can you get me
>    tar czvf - /lib/udev /etc/udev | mail neilb
> 
> so I can see exactly what FC6 is likely to try to do when an
> md device appears or disappears?

Not until tomorrow.  The machine is powered off and someone broke
poweroff (again) so I can't WoL it.